﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Phone逻辑删除.Resources;

namespace Phone逻辑删除
{
    public partial class MainPage : PhoneApplicationPage
    {
        // 构造函数
        public MainPage()
        {
            InitializeComponent();
            _isNewPageInstance = true;
        }

        ViewModel _viewModel = null;

        /// <summary>
        /// 新实例还是现有实例
        /// </summary>
        bool _isNewPageInstance = false;

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/Page1.xaml", UriKind.Relative));
        }

        protected override void OnNavigatedFrom(System.Windows.Navigation.NavigationEventArgs e)
        {
            //如果不是向后导航，则保存状态
            if (e.NavigationMode != System.Windows.Navigation.NavigationMode.Back)
            {
                State["ViewModel"] = _viewModel;

            }
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            if (_isNewPageInstance)
            {
                if (_viewModel == null)
                {
                    if (State.Count > 0)
                    {
                        _viewModel = (ViewModel)State["ViewModel"];
                    }
                    else
                    {
                        _viewModel = new ViewModel();
                    }
                }
                DataContext = _viewModel;
            }
            _isNewPageInstance = false;
        }



    }
}